const C3 = self.C3;
self.C3_GetObjectRefTable = function () {
	return [
		C3.Plugins.Sprite,
		C3.Plugins.Browser,
		C3.Plugins.Touch,
		C3.Plugins.iframe,
		C3.Plugins.TextBox,
		C3.Plugins.AJAX,
		C3.Plugins.Json,
		C3.Plugins.video,
		C3.Plugins.Touch.Cnds.OnTapGestureObject,
		C3.Plugins.Browser.Acts.Alert,
		C3.Plugins.System.Acts.GoToLayout,
		C3.Plugins.System.Acts.SetVar,
		C3.Plugins.System.Cnds.OnLayoutStart,
		C3.Plugins.TextBox.Acts.SetCSSStyle,
		C3.Plugins.AJAX.Acts.Post,
		C3.Plugins.TextBox.Exps.Text,
		C3.Plugins.AJAX.Cnds.OnComplete,
		C3.Plugins.Json.Acts.Parse,
		C3.Plugins.AJAX.Exps.LastData,
		C3.Plugins.Json.Exps.Get,
		C3.Plugins.System.Acts.Wait,
		C3.Plugins.System.Cnds.CompareVar,
		C3.Plugins.Sprite.Acts.SetAnimFrame,
		C3.Plugins.System.Acts.AddVar,
		C3.Plugins.video.Cnds.HasEnded,
		C3.Plugins.iframe.Acts.NavigateURL
	];
};
self.C3_JsPropNameTable = [
	{Sprite: 0},
	{Sprite2: 0},
	{bgmenu1: 0},
	{bgLink: 0},
	{btnLabs: 0},
	{btnHold: 0},
	{btnBack: 0},
	{Browser: 0},
	{Touch: 0},
	{iframe: 0},
	{btnAss: 0},
	{btnCJ: 0},
	{btnExam: 0},
	{btnAP: 0},
	{Sprite5: 0},
	{mdmDevice: 0},
	{btnUnlock: 0},
	{AJAX: 0},
	{JSON: 0},
	{btnWebinar: 0},
	{btnCourses: 0},
	{bgmainmenu: 0},
	{btnTvet: 0},
	{btnSubject: 0},
	{btnFinance: 0},
	{bgmenu2: 0},
	{bgmenu3: 0},
	{btnAlerts: 0},
	{btnInterview: 0},
	{btnCV: 0},
	{btnCover: 0},
	{bgmenu4: 0},
	{btnmenuA: 0},
	{btnmenuB: 0},
	{btnmenuC: 0},
	{btnmenuD: 0},
	{btnPurchase: 0},
	{bgmenu5: 0},
	{Video: 0},
	{Video2: 0},
	{link: 0},
	{devicestate: 0},
	{unlock: 0},
	{deviceid: 0},
	{splash: 0}
];

self.InstanceType = {
	Sprite: class extends self.ISpriteInstance {},
	Sprite2: class extends self.ISpriteInstance {},
	bgmenu1: class extends self.ISpriteInstance {},
	bgLink: class extends self.ISpriteInstance {},
	btnLabs: class extends self.ISpriteInstance {},
	btnHold: class extends self.ISpriteInstance {},
	btnBack: class extends self.ISpriteInstance {},
	Browser: class extends self.IInstance {},
	Touch: class extends self.IInstance {},
	iframe: class extends self.IIframeInstance {},
	btnAss: class extends self.ISpriteInstance {},
	btnCJ: class extends self.ISpriteInstance {},
	btnExam: class extends self.ISpriteInstance {},
	btnAP: class extends self.ISpriteInstance {},
	Sprite5: class extends self.ISpriteInstance {},
	mdmDevice: class extends self.ITextInputInstance {},
	btnUnlock: class extends self.ISpriteInstance {},
	AJAX: class extends self.IInstance {},
	JSON: class extends self.IJSONInstance {},
	btnWebinar: class extends self.ISpriteInstance {},
	btnCourses: class extends self.ISpriteInstance {},
	bgmainmenu: class extends self.ISpriteInstance {},
	btnTvet: class extends self.ISpriteInstance {},
	btnSubject: class extends self.ISpriteInstance {},
	btnFinance: class extends self.ISpriteInstance {},
	bgmenu2: class extends self.ISpriteInstance {},
	bgmenu3: class extends self.ISpriteInstance {},
	btnAlerts: class extends self.ISpriteInstance {},
	btnInterview: class extends self.ISpriteInstance {},
	btnCV: class extends self.ISpriteInstance {},
	btnCover: class extends self.ISpriteInstance {},
	bgmenu4: class extends self.ISpriteInstance {},
	btnmenuA: class extends self.ISpriteInstance {},
	btnmenuB: class extends self.ISpriteInstance {},
	btnmenuC: class extends self.ISpriteInstance {},
	btnmenuD: class extends self.ISpriteInstance {},
	btnPurchase: class extends self.ISpriteInstance {},
	bgmenu5: class extends self.ISpriteInstance {},
	Video: class extends self.IWorldInstance {},
	Video2: class extends self.IWorldInstance {}
}